### GET /airports/{codeType}/{code}/stats/routes/daily Source: https://doc.aerodatabox.com/docs/openapi-rapidapi-v1.json **What are the most popular routes from an airport?** or **Where I can fly from an airport?** or **How many daily flights to different destinations from an airport?** The data will only be available for airports which have at least schedules information available. If the airport is also covered with live or ADS-B coverage, the quality will improve greatly as it will be based on real data rather than on static scheduled data. To check if an airport is tracked and on which level, use `/health/services/airports/{icao}/feeds` endpoint. You can also use `/health/services/feeds/{service}/airports` to get the list of covered airports. At the moment airports having both ICAO and IATA code and flight schedules are present available only. *Returns:* List of routes and daily flights amount departing from an airport. ```markdown ### Parameters - **codeType** (AirportCodesByEnum, path, optional): Type of code to search airport by (`iata` or `icao`) - **code** (string, path, required): If `codeType` is: * `icao`, then this field must be a 4-character ICAO-code of the airport (e.g.: EHAM, KLAX, UUEE, etc.); * `iata`, then this field must be a 3-character IATA-code of the airport (e.g.: AMS, SFO, LAX, etc.). Full, stripped and any case formats are acceptable. ### Responses #### 200 - OK **DailyRouteStatContract** - **routes** (array (DailyRouteStatRecordContract)) (required) Array items: - **destination** (object) (required): Flight's airport reference contract - **icao** (string): ICAO code of the airport - **iata** (string): IATA code of the airport - **localCode** (string): Code of the airport within the local or national codification system - **name** (string) (required): Name of the airport - **shortName** (string): Shortened name of the airport - **municipalityName** (string): Name of the municipality this airport belongs to - **location** (object): Geographical coordinates data - **lat** (number (float)) (required): Latitude, in degrees - **lon** (number (float)) (required): Longitude, in degrees - **countryCode** (string): Two-letter country code of the airport - **timeZone** (string): Time zone of the airport in Olson format (e.g. "Europe/Amsterdam") - **averageDailyFlights** (number (float)) (required): Daily average of flights per destination - **operators** (array (FlightAirlineContract)) (required): Airlines operating on the route Array items: - **name** (string) (required): Airline name - **iata** (string): IATA code of the airline - **icao** (string): ICAO code of the airline **DailyRouteStatContract** #### 204 - No Content Empty response body #### 400 - Bad Request **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 401 - Unauthorized **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 451 - Unavailable For Legal Reasons **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 500 - Internal Server Error **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 503 - Service Unavailable Service Unavailable ### Example Usage ```bash curl -X GET "https://aerodatabox.p.rapidapi.com//airports/{codeType}/{code}/stats/routes/daily" ``` ``` -------------------------------- ### GET /airports/{codeType}/{code}/stats/routes/daily/{dateLocal} Source: https://doc.aerodatabox.com/docs/openapi-rapidapi-v1.json **What are the most popular routes from an airport?** or **Where I can fly from an airport?** or **How many daily flights to different destinations from an airport?** The data will only be available for airports which have at least schedules information available. If the airport is also covered with live or ADS-B coverage, the quality will improve greatly as it will be based on real data rather than on static scheduled data. To check if an airport is tracked and on which level, use `/health/services/airports/{icao}/feeds` endpoint. You can also use `/health/services/feeds/{service}/airports` to get the list of covered airports. At the moment airports having both ICAO and IATA code and flight schedules are present available only. *Returns:* List of routes and daily flights amount departing from an airport. ```markdown ### Parameters - **codeType** (AirportCodesByEnum, path, optional): Type of code to search airport by (`iata` or `icao`) - **code** (string, path, required): If `codeType` is: * `icao`, then this field must be a 4-character ICAO-code of the airport (e.g.: EHAM, KLAX, UUEE, etc.); * `iata`, then this field must be a 3-character IATA-code of the airport (e.g.: AMS, SFO, LAX, etc.). Full, stripped and any case formats are acceptable. - **dateLocal** (string (date-time), path, required): Local date at the airport (default = null). If specified, returns statistics based on 7 days prior to the date specified. Otherwise, returns statistics based on 7 days prior to the current local date at the airport. ### Responses #### 200 - OK **DailyRouteStatContract** - **routes** (array (DailyRouteStatRecordContract)) (required) Array items: - **destination** (object) (required): Flight's airport reference contract - **icao** (string): ICAO code of the airport - **iata** (string): IATA code of the airport - **localCode** (string): Code of the airport within the local or national codification system - **name** (string) (required): Name of the airport - **shortName** (string): Shortened name of the airport - **municipalityName** (string): Name of the municipality this airport belongs to - **location** (object): Geographical coordinates data - **lat** (number (float)) (required): Latitude, in degrees - **lon** (number (float)) (required): Longitude, in degrees - **countryCode** (string): Two-letter country code of the airport - **timeZone** (string): Time zone of the airport in Olson format (e.g. "Europe/Amsterdam") - **averageDailyFlights** (number (float)) (required): Daily average of flights per destination - **operators** (array (FlightAirlineContract)) (required): Airlines operating on the route Array items: - **name** (string) (required): Airline name - **iata** (string): IATA code of the airline - **icao** (string): ICAO code of the airline **DailyRouteStatContract** #### 204 - No Content Empty response body #### 400 - Bad Request **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 401 - Unauthorized **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 451 - Unavailable For Legal Reasons **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 500 - Internal Server Error **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 503 - Service Unavailable Service Unavailable ### Example Usage ```bash curl -X GET "https://aerodatabox.p.rapidapi.com//airports/{codeType}/{code}/stats/routes/daily/{dateLocal}" ``` ``` -------------------------------- ### GET /flights/{searchBy}/{searchParam}/{dateLocal} Source: https://doc.aerodatabox.com/docs/openapi-rapidapi-v1.json **What is the status of a specific flight?** **What is the historical status or schedule of a specific flight on a specific date in past or in future?** This endpoint returns data about a specific flight live flight status (if the flight is within the coverage and not in distant future), or flight schedule data otherwise. If `dateLocal` is specified, gets data about flight(s) departing or arriving on the day specified (local time). Otherwise, gets data about the status of flight(s) operating on the nearest date (either in past or in future). A flight can be searched by: * flight number it's being operated under; or * ATC-callsign it's being operated under; or * tail-number of the aircraft it's being operated by; or * Mode-S 24-bit ICAO Transponder address of the aircraft it's being operated by. Flight data may include airport of arrival and departure, scheduled and actual times, flight status, type of aircraft, tail-number and aircraft image. Some flights may have partial data. The data may be absent for either arrival or departure airport or may not include live updates of time and status. Check quality markers inside the response to determine which data is available. Normally, information with live status updates and estimated/actual arrival/departure times is only available for airports tracked live or with ADS-B by our system. Otherwise flight information will be with scheduled info only or absent. To check if an airport is currently tracked and on which level, use `/health/services/airports/{icao}/feeds` endpoint. You can also use `/health/services/feeds/{service}/airports` to get the list of covered airports. Read more about coverage and flight data limitations here: https://www.aerodatabox.com/data-coverage. ```markdown ### Parameters - **searchBy** (FlightSearchByEnum, path, optional): Criteria to search flight by - **searchParam** (string, path, required): Value of the search criteria. If `searchBy` is: * `number`, then this field shoud be Flight number (with or without spaces, IATA or ICAO, any case formats are acceptable, e.g. KL1395, Klm 1395) * `callsign`, then this field should be ATC call-sign of the flight (with or without spaces, any case formats are acceptable, e.g.AFL1482, nca 008X); * `reg`, then this field should be Aircraft tail-number (with or without spaces or dashes, any case formats are acceptable, e.g.PH-BXO, DeMhJ); * `icao24`, then this field should be Aircraft ICAO 24-bit Mode-S address specified in hexadecimal format (e.g. 484161, 483EFD). - **dateLocal** (string (date-time), path, required): Local date of departure or arrival (in format: YYYY-MM-DD, e.g.: 2019-08-29). Maximum/minimum allowable date is determined by the current data coverage limitations and your pricing plan. - **dateLocalRole** (FlightDirection, query, optional): * If set to `Both` (default, recommended for best results) then the dateLocal parameter shall be considered as both departure and arrival date. If a flight departs OR arrives on that date (in the local timezone of the origin or destination, respectively), it will be returned. * If set to `Departure` then the dateLocal parameter shall be considered as departure date only. Only the flights departing on that date (in the local timezone of origin) will be returned. * If set to `Arrival` then the dateLocal parameter shall be considered as arrival date only. Only the flights arriving on that date (in the local timezone of destination) will be returned. - **withAircraftImage** (boolean, query, optional): Should include aircraft image (default: false). Aircraft images are being searched in external sources by certain criteria without any manual intervention. Therefore, false matches may be returned. Only images with licenses approved for commercial use are returned. Please be advised that you may be required to mention author attribution before using the image. - **withLocation** (boolean, query, optional): Should include real-time positional data, e.g.: location, speed, altitude, etc., if available (default: false). - **withFlightPlan** (boolean, query, optional): Should include the flight plan filed with the ATC for the flight (default: false). * NOTE 1: Generally availabe to flights departing from, arriving to or crossing the mainland U.S. airspace. * NOTE 2: Only available on Basic and Ultra, Ultra-2 and Mega pricing plans. * NOTE 3: If set to true and the flight plan is found for one or more flights returned, **the request will be billed as 2 requests** against your API quota (except on Mega plan). ### Responses #### 200 - OK - Array of FlightContract - Array of FlightContract #### 204 - No Content Empty response body #### 400 - Bad Request **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 401 - Unauthorized **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 451 - Unavailable For Legal Reasons **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 500 - Internal Server Error **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 503 - Service Unavailable Service Unavailable ### Example Usage ```bash curl -X GET "https://aerodatabox.p.rapidapi.com//flights/{searchBy}/{searchParam}/{dateLocal}?dateLocalRole=value&withAircraftImage=false&withLocation=false&withFlightPlan=false" ``` ``` -------------------------------- ### GET /flights/{searchBy}/{searchParam} Source: https://doc.aerodatabox.com/docs/openapi-rapidapi-v1.json **What is the status of a specific flight?** **What is the historical status or schedule of a specific flight on a specific date in past or in future?** This endpoint returns data about a specific flight live flight status (if the flight is within the coverage and not in distant future), or flight schedule data otherwise. If `dateLocal` is specified, gets data about flight(s) departing or arriving on the day specified (local time). Otherwise, gets data about the status of flight(s) operating on the nearest date (either in past or in future). A flight can be searched by: * flight number it's being operated under; or * ATC-callsign it's being operated under; or * tail-number of the aircraft it's being operated by; or * Mode-S 24-bit ICAO Transponder address of the aircraft it's being operated by. Flight data may include airport of arrival and departure, scheduled and actual times, flight status, type of aircraft, tail-number and aircraft image. Some flights may have partial data. The data may be absent for either arrival or departure airport or may not include live updates of time and status. Check quality markers inside the response to determine which data is available. Normally, information with live status updates and estimated/actual arrival/departure times is only available for airports tracked live or with ADS-B by our system. Otherwise flight information will be with scheduled info only or absent. To check if an airport is currently tracked and on which level, use `/health/services/airports/{icao}/feeds` endpoint. You can also use `/health/services/feeds/{service}/airports` to get the list of covered airports. Read more about coverage and flight data limitations here: https://www.aerodatabox.com/data-coverage. ```markdown ### Parameters - **searchBy** (FlightSearchByEnum, path, optional): Criteria to search flight by - **searchParam** (string, path, required): Value of the search criteria. If `searchBy` is: * `number`, then this field shoud be Flight number (with or without spaces, IATA or ICAO, any case formats are acceptable, e.g. KL1395, Klm 1395) * `callsign`, then this field should be ATC call-sign of the flight (with or without spaces, any case formats are acceptable, e.g.AFL1482, nca 008X); * `reg`, then this field should be Aircraft tail-number (with or without spaces or dashes, any case formats are acceptable, e.g.PH-BXO, DeMhJ); * `icao24`, then this field should be Aircraft ICAO 24-bit Mode-S address specified in hexadecimal format (e.g. 484161, 483EFD). - **dateLocalRole** (FlightDirection, query, optional): * If set to `Both` (default, recommended for best results) then the dateLocal parameter shall be considered as both departure and arrival date. If a flight departs OR arrives on that date (in the local timezone of the origin or destination, respectively), it will be returned. * If set to `Departure` then the dateLocal parameter shall be considered as departure date only. Only the flights departing on that date (in the local timezone of origin) will be returned. * If set to `Arrival` then the dateLocal parameter shall be considered as arrival date only. Only the flights arriving on that date (in the local timezone of destination) will be returned. - **withAircraftImage** (boolean, query, optional): Should include aircraft image (default: false). Aircraft images are being searched in external sources by certain criteria without any manual intervention. Therefore, false matches may be returned. Only images with licenses approved for commercial use are returned. Please be advised that you may be required to mention author attribution before using the image. - **withLocation** (boolean, query, optional): Should include real-time positional data, e.g.: location, speed, altitude, etc., if available (default: false). - **withFlightPlan** (boolean, query, optional): Should include the flight plan filed with the ATC for the flight (default: false). * NOTE 1: Generally availabe to flights departing from, arriving to or crossing the mainland U.S. airspace. * NOTE 2: Only available on Basic and Ultra, Ultra-2 and Mega pricing plans. * NOTE 3: If set to true and the flight plan is found for one or more flights returned, **the request will be billed as 2 requests** against your API quota (except on Mega plan). ### Responses #### 200 - OK - Array of FlightContract - Array of FlightContract #### 204 - No Content Empty response body #### 400 - Bad Request **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 401 - Unauthorized **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 451 - Unavailable For Legal Reasons **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 500 - Internal Server Error **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 503 - Service Unavailable Service Unavailable ### Example Usage ```bash curl -X GET "https://aerodatabox.p.rapidapi.com//flights/{searchBy}/{searchParam}?dateLocalRole=value&withAircraftImage=false&withLocation=false&withFlightPlan=false" ``` ``` -------------------------------- ### GET /flights/search/term Source: https://doc.aerodatabox.com/docs/openapi-rapidapi-v1.json *Returns:* Distinct list of available flight numbers which start with the search query. ```markdown ### Parameters - **q** (string, query, required): Search query (min. 2 non whitespace characters length) - **limit** (integer (int32), query, optional): Maximum number of items to be returned (max. 100, defaut = 10) ### Responses #### 200 - OK **StringFlightSearchItemContractSearchResultCollectionContract** - **searchBy** (string) (required): Search parameter used to find the result. Please note, it may be different from the actual input provided! - **count** (integer (int32)) (required): The number of items in the collection - **items** (array (FlightSearchItemContract)) (required): The collection of items Array items: - **number** (string) (required): Found flight number. **StringFlightSearchItemContractSearchResultCollectionContract** #### 204 - No Content Empty response body #### 400 - Bad Request **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 401 - Unauthorized **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 451 - Unavailable For Legal Reasons **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 500 - Internal Server Error **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 503 - Service Unavailable Service Unavailable ### Example Usage ```bash curl -X GET "https://aerodatabox.p.rapidapi.com//flights/search/term?q=string&limit=10" ``` ``` -------------------------------- ### Schema: CreateWebHookSubscription Source: https://doc.aerodatabox.com/docs/openapi-rapidapi-v1.json Command to create web-hook subscription ```markdown ## Schema: CreateWebHookSubscription Command to create web-hook subscription **Type:** object - **url** (string) (required): Destination HTTP-endpoint where notifications will be sent to. Requirements: * must be a valid public HTTP(S) URL not requiring additional authorization; * must use standard or alternative HTTP or HTTPS ports (80, 443, 8008, 8080) or any dynamic port greater or equal to 49152; * must be able to accept HTTP POST request with JSON-formatted body (application/json); * must respond with one of successful HTTP status codes (2XX) within 10 seconds; * the endpoint owner must be aware of and consent to receiving notifications at it. If endpoint is unavailable, responds with error status code or does not respond within timeout, notification delivery retry may be attempted according to subscription settings. - **maxDeliveryRetries** (integer (int32)): Maximum number of times a delivery attempt is retried after initial delivery attempt failure. Current default value is: * `2` for the old, lifetime-based web-hook subscriptions (will be phased out after the 4th of April, 2026); * `0` for the new, credit-based web-hook subscriptions (will be the default value for any web-hook subscription after the 4th of April, 2026). ``` -------------------------------- ### GET /aircrafts/search/term Source: https://doc.aerodatabox.com/docs/openapi-rapidapi-v1.json *Returns:* List of active aircraft registrations with tail numbers starting from the term. ```markdown ### Parameters - **q** (string, query, required): Search term (min. 4 non whitespace characters length) - **limit** (integer (int32), query, optional): Maximum number of items to be returned (max. 10, defaut = 5) ### Responses #### 200 - OK **StringAircraftContractSearchResultCollectionContract** - **searchBy** (string) (required): Search parameter used to find the result. Please note, it may be different from the actual input provided! - **count** (integer (int32)) (required): The number of items in the collection - **items** (array (AircraftContract)) (required): The collection of items Array items: - **id** (integer (int64)) (required): Unique ID of the aircraft record in our database - **reg** (string) (required): Tail-number of the aircraft - **active** (boolean) (required): Indicator if aircraft is operational under this registration - **serial** (string): Serial number - **hexIcao** (string): ICAO 24 bit Mode-S hexadecimal transponder address - **airlineName** (string): Name of the airline operating the aircraft - **iataType** (string): IATA-type of the aircraft - **iataCodeShort** (string): Short variant of IATA-code of the aircraft - **icaoCode** (string): ICAO-code of the aircraft - **model** (string): Model of the aircraft - **modelCode** (string): Model code of the aircraft - **numSeats** (integer (int32)): Number of passenger seats - **rolloutDate** (string (date-time)): Date of roll-out (UTC) - **firstFlightDate** (string (date-time)): First flight date - **deliveryDate** (string (date-time)): Date of delivery to the owner - **registrationDate** (string (date-time)): Date of assigning current registration - **typeName** (string): Type name - **numEngines** (integer (int32)): Number of engines - **engineType** (string (Unknown|Jet|Turboprop|Piston)):

Possible values:

("Unknown"|"Jet"|"Turboprop"|"Piston") - **isFreighter** (boolean) (required): Marker if aircraft is cargo or not - **productionLine** (string): Production line - **ageYears** (number (float)): Age of the aircraft in year - **verified** (boolean) (required) - **image** (object): Single media resource data - **url** (string) (required): URL of the resource - **webUrl** (string): URL of web-page containing the resource - **author** (string): Author name of the resource - **title** (string): Title of the resource - **description** (string): Description of the resource - **license** (string (AllRightsReserved|AttributionNoncommercialShareAlikeCC|AttributionNoncommercialCC|AttributionNoncommercialNoDerivativesCC|AttributionCC|AttributionShareAlikeCC|AttributionNoDerivativesCC|NoKnownCopyrightRestrictions|UnitedStatesGovernmentWork|PublicDomainDedicationCC0|PublicDomainMark)) (required):

Possible values:

("AllRightsReserved"|"AttributionNoncommercialShareAlikeCC"|"AttributionNoncommercialCC"|"AttributionNoncommercialNoDerivativesCC"|"AttributionCC"|"AttributionShareAlikeCC"|"AttributionNoDerivativesCC"|"NoKnownCopyrightRestrictions"|"UnitedStatesGovernmentWork"|"PublicDomainDedicationCC0"|"PublicDomainMark") - **htmlAttributions** (array (string)): Attributions maintaining copyright, ownership and other legal information adjusted for displaying as HTML. Each element represent one line. - **numRegistrations** (integer (int32)) (required): An aircraft may have a history of past registrations with other airlines or operators. This field represents a total number of registration records known in our database. - **registrations** (array (AircraftRegistrationContract)): A history of all registrations with other airlines or operators (if provided by the endpoint). Array items: - **reg** (string) (required): Tail-number of the aircraft - **active** (boolean) (required): Indicator if aircraft is operational under this registration - **hexIcao** (string): ICAO 24 bit Mode-S hexadecimal transponder address - **airlineName** (string): Name of the airline operating the aircraft - **registrationDate** (string (date-time)): Date of assigning current registration **StringAircraftContractSearchResultCollectionContract** #### 204 - No Content Empty response body #### 400 - Bad Request **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 401 - Unauthorized **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 451 - Unavailable For Legal Reasons **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 500 - Internal Server Error **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 503 - Service Unavailable Service Unavailable ### Example Usage ```bash curl -X GET "https://aerodatabox.p.rapidapi.com//aircrafts/search/term?q=string&limit=5" ``` ``` -------------------------------- ### GET /subscriptions/balance Source: https://doc.aerodatabox.com/docs/openapi-rapidapi-v1.json The current web-hook subscription balance information. This is separate from your API marketplace quota and is used solely for billing of web-hook subscriptions. For more details about how flight alert API billing works, refer to our guide at https://aerodatabox.com/flight-alert-api-2026/ ```markdown ### Responses #### 200 - OK **SubscriptionBalanceContract** - **creditsRemaining** (integer (int64)) (required): Alert credits remaining for the account. - **lastRefilledUtc** (string (date-time)) (required): The datetime when the balance was last re-filled, in UTC. - **lastDeductedUtc** (string (date-time)) (required): The datetime when the balance was last deducated, in UTC. Deduction typically occurs when an alert notification was dispatched for one of the alert subscriptions associated with the user account. **SubscriptionBalanceContract** #### 204 - No Content Empty response body #### 400 - Bad Request **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 401 - Unauthorized **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 451 - Unavailable For Legal Reasons **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 500 - Internal Server Error **ErrorContract** - **message** (string) (required): Error message - **details** (string) **ErrorContract** #### 503 - Service Unavailable Service Unavailable ### Example Usage ```bash curl -X GET "https://aerodatabox.p.rapidapi.com//subscriptions/balance" ``` ```